[package]
name = "libczirw-sys"
version = "0.3.0"
edition = "2024"
rust-version = "1.85.1"
authors = ["Wim Pomp <w.pomp@nki.nl>"]
license = "MIT"
description = "Wrapper around libCZIAPI"
homepage = "https://git.wimpomp.nl/wim/libczirw-sys"
repository = "https://git.wimpomp.nl/wim/libczirw-sys"
documentation = "https://docs.rs/libczirw-sys"
readme = "README.md"
keywords = ["czi", "zeiss", "libczi"]
categories = ["multimedia::images", "science"]
links = "libCZIAPI"
exclude = ["test-files/*", "**/*UnitTests"]

[dependencies]
link-cplusplus = "1.0"
thiserror = "2"

[build-dependencies]
bindgen = "0.72"
cmake = "0.1"
regex = "1"

[features]
dynamic = []